Package groovy.lang

# Class Tuple

java.lang.Object
java.util.AbstractCollection
java.util.AbstractList
groovy.lang.Tuple

All Implemented Interfaces:
  `Iterable`, `Collection`, `List`, `SequencedCollection`

Direct Known Subclasses:
  `Tuple2`

public class Tuple extends AbstractList
Represents a list of Objects.

Author:
  James Strachan

## Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

## Constructor Summary

Constructors
Constructor
Description
`Tuple(Object[] contents)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Object`
`get(int index)`
`int`
`hashCode()`
`int`
`size()`
`List`
`subList(int fromIndex, int toIndex)`

### Methods inherited from class java.util.AbstractList

`add, add, addAll, clear, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set`

### Methods inherited from class java.util.AbstractCollection

`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`addAll, addFirst, addLast, contains, containsAll, getFirst, getLast, isEmpty, remove, removeAll, removeFirst, removeLast, replaceAll, retainAll, reversed, sort, spliterator, toArray, toArray`

## Constructor Details

### Tuple

public Tuple(Object[] contents)

## Method Details

### get

public Object get(int index)

Specified by:
  `get` in interface `List`
Specified by:
  `get` in class `AbstractList`

### size

public int size()

Specified by:
  `size` in interface `Collection`
Specified by:
  `size` in interface `List`
Specified by:
  `size` in class `AbstractCollection`

### equals

public boolean equals(Object o)

Specified by:
  `equals` in interface `Collection`
Specified by:
  `equals` in interface `List`
Overrides:
  `equals` in class `AbstractList`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `Collection`
Specified by:
  `hashCode` in interface `List`
Overrides:
  `hashCode` in class `AbstractList`

### subList

public List subList(int fromIndex, int toIndex)

Specified by:
  `subList` in interface `List`
Overrides:
  `subList` in class `AbstractList`